UNIONFS(4)

NAME
unionfs - union mount file system

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

option UNIONFS

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    unionfs_load="YES"

DESCRIPTION
The UNIONFS driver is an implementation of a stackable unification filesystem.

SEE ALSO
mount_unionfs(8)

STANDARDS
Union mounts in 4.4BSD-Lite, J. S. Pendry, M. K. McKusick, Proceedings of the USENIX Technical Conference on UNIX and Advanced Computing Systems, December 1995.

Jails: Confining the omnipotent root, P. H. Kamp, R. N. M. Watson, Proceedings of the Second International System Administration and Networking Conference (SANE2000), May 2000.

HISTORY
The unionfs device driver first appeared in FreeBSD 5.0.

AUTHORS
-nosplit The unionfs device driver was written by Jan-Simon Pendry for 4.4BSD and Masanori OZAWA <ozawa@ongs.co.jp> reimplemented the handling of the locking for FreeBSD 7.0. The manual page was written by Gordon Bergling <gbe@FreeBSD.org>.

BUGS
Please see the mount_unionfs(8) manual page for a list of bugs regarding the unionfs filesystem.